/*
 * yasapi_config_label_player_latency.c
 *
 * Yet Another (WA)SAPI (YASAPI) New Technology (NT) Output (out_yasapi-nt)
 * Copyright (C) 2015-2019  Peter Belkner (pbelkner@snafu.de)
 *
 * out_yasapi-nt is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * out_yasapi-nt is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with out_yasapi-nt.  If not, see <https://www.gnu.org/licenses/>.
 */
#include <yasapi_config.h>
#include <yasapi.h>

static void LabelPlayerLatencySet(ConfigWidget *pWidget)
{
  Player *pPlayer=pWidget->pDialog->pGtk->pPlayer;
  char buf[128];

  sprintf(buf,"%u ms",pPlayer->stats.uMsLatencyMax);
  gtk_label_set_text (GTK_LABEL (pWidget->widget), buf);
}

static void LabelPlayerLatencyGet(ConfigWidget *pWidget)
{
}

///////////////////////////////////////////////////////////////////////////////
static GtkWidget *ClassLabelPlayerLatencyCreate(ClassCell *pCell,
    Dialog *pDialog, Expand *pExpand)
{
  static IConfigWidgetVtbl vtbl={
    .set=LabelPlayerLatencySet,
    .get=LabelPlayerLatencyGet,
  };

  GtkWidget *widget = gtk_label_new(NULL);

  ConfigWidgetCreate(pCell, pDialog, &vtbl, widget);

  return widget;
}

IClassCellVtbl gcIClassLabelPlayerLatencyVtbl={
  .create=ClassLabelPlayerLatencyCreate,
};
